libstdc++: std::pointer_to_unary_function< _Arg, _Result > Class Template Reference

libstdc++

std::pointer_to_unary_function< _Arg, _Result > Class Template Reference
Utilities » Function Objects » Adaptors for pointers to functions

`#include <stl_function.h>`

Inheritance diagram for std::pointer_to_unary_function< _Arg, _Result >:
[legend]

## Public Types
typedef _Arg | argument_type
typedef _Result | result_type

## Public Member Functions
| pointer_to_unary_function (_Result(*__x)(_Arg))
_Result | operator() (_Arg __x) const

## Protected Attributes
_Result(* | _M_ptr )(_Arg)

## Detailed Description

template<typename _Arg, typename _Result>
class std::pointer_to_unary_function< _Arg, _Result >

One of the adaptors for function pointers.

Definition at line 1193 of file stl_function.h.

## Member Typedef Documentation

## ◆ argument_type

template<typename _Arg, typename _Result>

typedef _Arg std::unary_function< _Arg, _Result >::argument_type
| inherited

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## ◆ result_type

template<typename _Arg, typename _Result>

typedef _Result std::unary_function< _Arg, _Result >::result_type
| inherited

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ pointer_to_unary_function() [1/2]

template<typename _Arg, typename _Result>

std::pointer_to_unary_function< _Arg, _Result >::pointer_to_unary_function | ( |  | ) |
| inline

Definition at line 1199 of file stl_function.h.

## ◆ pointer_to_unary_function() [2/2]

template<typename _Arg, typename _Result>

std::pointer_to_unary_function< _Arg, _Result >::pointer_to_unary_function | ( | _Result(* | __x )(_Arg) | ) |
| inlineexplicit

Definition at line 1202 of file stl_function.h.

## Member Function Documentation

## ◆ operator()()

template<typename _Arg, typename _Result>

_Result std::pointer_to_unary_function< _Arg, _Result >::operator() | ( | _Arg | __x | ) | const
| inline

Definition at line 1206 of file stl_function.h.

## Member Data Documentation

## ◆ _M_ptr

template<typename _Arg, typename _Result>

_Result(* std::pointer_to_unary_function< _Arg, _Result >::_M_ptr) (_Arg)
| protected

Definition at line 1196 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h